# API Configuration

Each API service allows you to pass in a configuration object.  All API configuration options are inherited from the `QuadrataSdkConfiguration` type at `@quadrata/sdk/types`.

Each service will define which configuration options are required and which are optional, but for each service, you must pass in the `environment` parameter.

## Example

```typescript
import { createAccessToken, QuadrataEnvironment } from '@quadrata/sdk/api';

const { data: { accessToken } } = await createAccessToken(
    // service params
    { apiKey: process.env.QUADRATA_API_KEY },

    // configuration
    { environment: QuadrataEnvironment.PRODUCTION }
);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quadrata.com/integration/how-to-integrate/quadrata-sdk/advanced/api-libraries/api-configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
